import webiopi
import time

webiopi.setDebug()

GPIO = webiopi.GPIO

LEDPIN = 24
DIGITALINPIN = 25
DEBOUNCEDELAY = 0.5

def setup():
	global g_bButtonState_prev
	global g_iSec_prev
	global g_bLedState

	webiopi.debug("Start setup")
	GPIO.setFunction( LEDPIN, GPIO.OUT )
	GPIO.setFunction( DIGITALINPIN, GPIO.IN )
	g_bButtonState_prev = 0
	g_iSec_prev = time.time()
	g_bLedState = False
	GPIO.digitalWrite( LEDPIN, g_bLedState )
	webiopi.debug("End setup")

def loop():
	global g_bButtonState_prev
	global g_iSec_prev
	global g_bLedState

	bButtonState = GPIO.digitalRead( DIGITALINPIN )
	if False == g_bButtonState_prev and True == bButtonState:
		iSec = time.time()
		if DEBOUNCEDELAY < iSec - g_iSec_prev:
			webiopi.debug("Button Pushed")
			g_bLedState = not g_bLedState
			GPIO.digitalWrite( LEDPIN, g_bLedState )
		g_iSec_prev = iSec
	g_bButtonState_prev = bButtonState
